#
# spec file for package ax25spyd (Version 0.23 )
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  libax25
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libax25 libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         ax25spyd
Copyright:    GPL
Group:        Networking/Hamradio
Provides:     ax25spyd 
Autoreqprov:  on
Version:      0.23 
Release:      271
Summary:      This daemon listens for AX.25-packets from the kernel
Source:       %{name}-%{version}.tar.gz
URL:          http://1409.org/projects/ax25spyd.html 
BuildRoot:    /tmp/%{name}-%{version}-build

%description
This is ax25spyd (formerly known as monixd), a daemon, which listens
for AX.25-packets from the kernel-ax.25. These packets are decoded
(like listen(1)) but not displayed on the screen.
Other programs can connect to ax25spyd via sockets and issue commands.
They will get all heard ax.25-Packets in a human-readable-format, a
mheard structure, DX-Cluster-messages or spydata.
The program ax25spy is an demo program for ax25spyd. It uses the
TCP port 14090 to connect to a running ax25spyd and issues commands.
The answers of ax25spyd will be read by ax25spy an be displayed.

Authors:
--------
    Walter Koch <walter@1409.org>

SuSE series: ham

%prep
%setup

%build
CFLAGS=$RPM_OPT_FLAGS ./configure --infodir=%{_infodir} --mandir=%{_mandir} %{_target_cpu}-suse-linux
make

%install
rm -rf $RPM_BUILD_ROOT
#install -d $RPM_BUILD_ROOT/etc/ax25/
#install -m 644 -o root -g root examples/ax25spyd.conf.example $RPM_BUILD_ROOT/etc/ax25/ax25spyd.conf
make install DESTDIR=$RPM_BUILD_ROOT
mv $RPM_BUILD_ROOT{/usr/etc,/}
mv $RPM_BUILD_ROOT/etc/ax25/ax25spyd.conf{.example,}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc AUTHORS BUGS COPYING ChangeLog INSTALL NEWS README examples/services examples/ax25spy.shtml
%config(noreplace) /etc/ax25/ax25spyd.conf
%config(noreplace) /etc/ax25/services
/usr/bin/ax25spy
/usr/sbin/ax25spyd 
/usr/share/man/man1/*.gz
/usr/share/man/man5/*.gz
/usr/share/man/man8/*.gz

%changelog -n ax25spyd
* Thu Nov 30 2000 - jreuter@suse.de
- changed group tag to Networking/Hamradio
* Fri May 26 2000 - bubnikv@suse.cz
- sorted
* Fri May 05 2000 - bubnikv@suse.cz
- added buildroot, URL: to specfile
- minor specfile cleanups
* Fri Jan 14 2000 - ka@suse.de
- changed mandir from /usr/man to /usr/share/man (according to FHS)
* Thu Nov 11 1999 - ka@suse.de
- update to version 0.23
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Thu Jun 24 1999 - ro@suse.de
- fixed for new libax25 includes
* Mon May 24 1999 - ka@suse.de
- initial release
